| Server IP : 146.190.157.162 / Your IP : 216.73.217.6 Web Server : Apache System : Linux ubuntu-s-2vcpu-4gb-amd-sfo3-01-KIT-DIGITAL 6.5.0-44-generic #44-Ubuntu SMP PREEMPT_DYNAMIC Fri Jun 7 15:10:09 UTC 2024 x86_64 User : businessweek ( 639) PHP Version : 8.2.10-2ubuntu2.2 Disable Function : exec,passthru,shell_exec,system,proc_open,popen,pcntl_exec,pcntl_fork,pcntl_waitpid,pcntl_wait,pcntl_signal,pcntl_signal_dispatch,pcntl_getpriority,pcntl_setpriority,dl,putenv,parse_ini_file,show_source MySQL : OFF | cURL : ON | WGET : ON | Perl : ON | Python : OFF | Sudo : ON | Pkexec : OFF Directory : /var/www/html/wordpress-manager/resources/scripts/ |
Upload File : |
#!/bin/bash
# Cargar variables de entorno desde el archivo .env
set -a
source /var/www/html/wordpress-manager/.env
set +a
# Archivo de log
LOG_FILE="/var/www/html/wordpress-manager/storage/logs/wordpress_reset_permitions.log"
exec > >(tee -a ${LOG_FILE} ) 2>&1
set -e
echo "Ejecutando reset de template."
project="$1"
# Validar parĂ¡metro
elif [ -z "$project" ]; then
echo "Error: El parĂ¡metro 'project' no fue proporcionado."
exit 1
echo "Continuando proceso."
# Cambiar permisos
echo "Cambiando permisos..."
sudo chown -R "$1:$1" /var/www/html/"$1"
if [ $? -ne 0 ]; then
echo "Error cambiando la propiedad de archivos."
exit 1
fi
sudo find /var/www/html/"$1" -type d -exec chmod 777 {} \;
if [ $? -ne 0 ]; then
echo "Error ajustando permisos de directorios."
exit 1
fi
sudo find /var/www/html/"$1" -type f -exec chmod 755 {} \;
if [ $? -ne 0 ]; then
echo "Error ajustando permisos de archivos."
exit 1
fi